Page MenuHomePhabricator

Add a "subtype" field to EditEngine forms
ClosedPublic

Authored by epriestley on Mar 1 2017, 11:01 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jun 26, 10:36 PM
Unknown Object (File)
May 30 2022, 4:55 PM
Unknown Object (File)
May 27 2022, 4:40 PM
Unknown Object (File)
May 26 2022, 8:26 PM
Unknown Object (File)
May 24 2022, 3:07 AM
Unknown Object (File)
Apr 15 2017, 9:56 AM
Unknown Object (File)
Apr 14 2017, 3:14 PM
Unknown Object (File)
Apr 10 2017, 2:18 PM
Subscribers
None

Details

Summary

Ref T12314. This adds storage so EditEngine forms can later be marked as edit fields for particular types of objects (like an "animal edit form" vs a "plant edit form").

We'll take you to the right edit form when you click "Edit" by selecting among forms with the same subtype as the task.

This doesn't do anything very interesting on its own.

Test Plan
  • Ran bin/storage upgrade.
  • Verified database got the field with proper values.
  • Created a new form, checked the database.
  • Ran unit tests.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Mar 1 2017, 11:41 PM
This revision was automatically updated to reflect the committed changes.